package com.jeequan.jeepay.core.model;

import com.jeequan.jeepay.core.model.oauth2.WxpayOauth2Params;
import com.jeequan.jeepay.core.utils.JeepayKit;
import lombok.Data;

/**
 * TODO
 * 小程序支付参数
 * @author crystal
 * @date 2023/11/29 11:13
 */
@Data
public class AppletResult {

    private String appid;

    private String ghid;

    private String path;

    private String env;

    private String ext;

    private String scheme;

    private String payUrl;

    private Byte status;

    public AppletResult(WxpayOauth2Params wxpayOauth2Params,String scheme,String query) {
        this.appid = wxpayOauth2Params.getLiteAppId();
        this.ghid = wxpayOauth2Params.getLiteGhid();
        this.path = wxpayOauth2Params.getLitePagePath() + "?"+ query;
        this.env = wxpayOauth2Params.getLiteEnv();
        this.scheme = scheme;
    }
}
